typedef struct Array__Struct *Array;
typedef struct String__Struct *String;

extern Array Array__new(void);
extern String String__new(void);
extern void String__unix_append(String, char *);
extern Array__append(Array, String);

extern int Easy_C__main(Array);
int main(
  int argc,
  char **argv)
{
    int index;
    int phase;
    Array arguments;
    String argument;

    arguments = Array__new();
    for (index = 0; index < argc; index++) {
	argument = String__new();
	String__unix_append(argument, argv[index]);
	Array__append(arguments, argument);
    }

    Array__Initialize();
    Comma_Separated__Initialize();
    Hash_Table__Initialize();
    Hash_Table_Pair__Initialize();
    Hash_Table_Row__Initialize();
    Assert_Statement__Initialize();
    Base_Type_Clause__Initialize();
    Binary_Expression__Initialize();
    Bracket_Expression__Initialize();
    Break_Empty_Statement__Initialize();
    Break_Level_Statement__Initialize();
    Byte__Initialize();
    C_Argument__Initialize();
    C_Array_Access_Clause__Initialize();
    C_Declaration__Initialize();
    C_Error__Initialize();
    C_Extern__Initialize();
    C_Extern1__Initialize();
    C_Extern2__Initialize();
    C_Field__Initialize();
    C_Field1__Initialize();
    C_Field2__Initialize();
    C_Nest1__Initialize();
    C_Nest2__Initialize();
    C_Root__Initialize();
    C_Struct__Initialize();
    C_Type__Initialize();
    C_Typedef__Initialize();
    Call_Statement__Initialize();
    Case_Name__Initialize();
    Character__Initialize();
    Code_Chunk__Initialize();
    Collection__Initialize();
    Collection_Declaration__Initialize();
    Compiler__Initialize();
    Constant_Declaration__Initialize();
    Continue_Empty_Statement__Initialize();
    Continue_Level_Statement__Initialize();
    Declaration__Initialize();
    Define__Initialize();
    Define_Clause__Initialize();
    Define_Data__Initialize();
    Define_Declaration__Initialize();
    Define_Line__Initialize();
    Define_Root__Initialize();
    Defines_Prefix_Declaration__Initialize();
    Do_Nothing_Statement__Initialize();
    Double__Initialize();
    Easy_C__Initialize();
    Easy_C_Declaration__Initialize();
    Else_If_Part__Initialize();
    Else_Part__Initialize();
    Enumeration_Clause__Initialize();
    Enumeration_Prefix_Clause__Initialize();
    Error__Initialize();
    Expression__Initialize();
    External_Clause__Initialize();
    External_Declaration__Initialize();
    External_Named_Declaration__Initialize();
    External_Routine_Clause__Initialize();
    Fail_Statement__Initialize();
    Field__Initialize();
    Field_Clause__Initialize();
    File__Initialize();
    Float__Initialize();
    Format__Initialize();
    Format_Field__Initialize();
    Format_Frame__Initialize();
    Generate_Clause__Initialize();
    Generate_Name__Initialize();
    Global_Declaration__Initialize();
    Global_Library_Declaration__Initialize();
    If_Clause__Initialize();
    If_Part__Initialize();
    If_Statement__Initialize();
    Import_Field__Initialize();
    Import_Field_Clause__Initialize();
    In_Stream__Initialize();
    Include_String_Declaration__Initialize();
    Integer__Initialize();
    Interface_Declaration__Initialize();
    Interrupt_Clause__Initialize();
    Item__Initialize();
    Item_Clause__Initialize();
    Keyword__Initialize();
    Library_Declaration__Initialize();
    List_Expression__Initialize();
    Load_Declaration__Initialize();
    Local_Clause__Initialize();
    Logical__Initialize();
    Long_Integer__Initialize();
    Long_Unsigned__Initialize();
    Message__Initialize();
    Messages__Initialize();
    Note__Initialize();
    Options__Initialize();
    Out_Stream__Initialize();
    Parameterized_Type__Initialize();
    Parenthesis_Expression__Initialize();
    Parser__Initialize();
    Record_Clause__Initialize();
    Record_Import_Clause__Initialize();
    Register_Bit__Initialize();
    Register_Byte__Initialize();
    Register_Clause__Initialize();
    Registers_Clause__Initialize();
    Require_Declaration__Initialize();
    Return_Clause_Empty__Initialize();
    Return_Clause_Expression__Initialize();
    Return_Statement__Initialize();
    Returns_Clause__Initialize();
    Returns_Nothing_Clause__Initialize();
    Root__Initialize();
    Routine_Clause__Initialize();
    Routine_Declaration__Initialize();
    Routine_Type__Initialize();
    Scalar_Cast_Clause__Initialize();
    Set_Statement__Initialize();
    Short__Initialize();
    Simple_Clause__Initialize();
    Simple_Numeric_Clause__Initialize();
    Source__Initialize();
    Statement__Initialize();
    String__Initialize();
    Switch_All_Cases_Required__Initialize();
    Switch_Case__Initialize();
    Switch_Clause__Initialize();
    Switch_Default__Initialize();
    Switch_Statement__Initialize();
    System__Initialize();
    System_Jump_Buffer__Initialize();
    Take_Clause__Initialize();
    Take_Import_Clause__Initialize();
    Takes_Nothing_Clause__Initialize();
    Token__Initialize();
    Tokenizer__Initialize();
    Traverser__Initialize();
    Type__Initialize();
    Typed_Name__Initialize();
    Typed_Name_Object__Initialize();
    Unary_Expression__Initialize();
    Unix_Directory_Stream__Initialize();
    Unix_File_Set__Initialize();
    Unix_SHA1_Context__Initialize();
    Unix_Status__Initialize();
    Unsigned__Initialize();
    Variable__Initialize();
    Variant_Clause__Initialize();
    While_Statement__Initialize();
    return Easy_C__main(arguments);
}
